- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libwps::DebugStream Class Reference

`#include <WPSDebug.h>`

## Public Member Functions
template<class T >
DebugStream & | operator<< (T const &)
std::string | str () const
void | str (std::string const &)

## Member Function Documentation

template<class T >

DebugStream& libwps::DebugStream::operator<< | ( | T const & |  | ) |
| inline

std::string libwps::DebugStream::str | ( |  | ) | const
| inline

Referenced by WPS8Text::bmktEndDataParser(), WPS8Struct::FileData::createErrorString(), WPS4Text::defDataParser(), WPS8Text::defDataParser(), WPS4Text::dttmDataParser(), WPS4Parser::findZones(), WPS4Text::footNotesDataParser(), WPS8Struct::FileData::getBorderStyle(), WPS4Text::objectDataParser(), WPS8Text::objectDataParser(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), WPS8Graph::readBDR(), WPSOLEParser::readCompObj(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readDosLink(), WPS4Text::readEntries(), WPSTextParser::readFDP(), WPS4Text::readFont(), WPS8TextStyle::readFontNames(), WPS4Text::readFontNames(), WPS8Parser::readFRAM(), WPS8Graph::readIBGF(), WPS8Table::readMCLD(), WPSOLEParser::readMM(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readObjInfo(), WPSOLEParser::readOle(), WPSOLEParser::readOle10Native(), WPSOLEParser::readOlePres(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), WPS8Graph::readPICT(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS4Parser::readPrnt(), WPS8TextStyle::readSGP(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), WPS8Text::readText(), WPS4Text::readText(), WPS8Parser::readWNPR(), WPS8Text::textZonesDataParser(), and WPS8Text::tokenEndDataParser().

void libwps::DebugStream::str | ( | std::string const & |  | ) |
| inline

The documentation for this class was generated from the following file:

- WPSDebug.h